Bug 1206394 - Error: g-bd-md-error-quark: Failed to parse mdexamine data (0)
Summary: Error: g-bd-md-error-quark: Failed to parse mdexamine data (0)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libblockdev
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:31b274515554282c60e513ec4ae...
Depends On:
Blocks: F22BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-03-27 01:16 UTC by Adam Williamson
Modified: 2015-04-04 17:52 UTC (History)
7 users (show)

Fixed In Version: anaconda-22.20.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-04 17:52:40 UTC


Attachments (Terms of Use)
File: anaconda-tb (188.78 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: anaconda.log (6.72 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: dnf.log (4.40 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: environ (492 bytes, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: lsblk_output (2.15 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: nmcli_dev_list (1.07 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: os_info (443 bytes, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: program.log (6.54 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: storage.log (26.32 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: syslog (108.76 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: ifcfg.log (2.10 KB, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details
File: packaging.log (188 bytes, text/plain)
2015-03-27 01:16 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2015-03-27 01:16:14 UTC
Description of problem:
Boot F22 Beta TC5 Server DVD x86_64 installer with a (newly created) Intel firmware RAID-0 set attached.

Version-Release number of selected component:
anaconda-22.20.6-1

The following was filed automatically by anaconda:
anaconda 22.20.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1593, in handleUdevMDMemberFormat
    md_info = blockdev.md_examine(device.path)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1877, in handleUdevDeviceFormat
    self.handleUdevMDMemberFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1260, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2177, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2111, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/blivet.py", line 277, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/osinstall.py", line 1117, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 238, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 112, in wait
    self.raise_if_error(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/timezone.py", line 75, in time_initialize
    threadMgr.wait(THREAD_STORAGE)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 238, in run
    threading.Thread.run(self, *args, **kwargs)
Error: g-bd-md-error-quark: Failed to parse mdexamine data (0)

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-22_B_T5-x86_64 quiet
dnf.rpm.log:    Mar 27 01:12:13 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.0-0.rc4.git0.1.fc22.x86_64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Adam Williamson 2015-03-27 01:16:17 UTC
Created attachment 1007052 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2015-03-27 01:16:18 UTC
Created attachment 1007053 [details]
File: anaconda.log

Comment 3 Adam Williamson 2015-03-27 01:16:19 UTC
Created attachment 1007054 [details]
File: dnf.log

Comment 4 Adam Williamson 2015-03-27 01:16:20 UTC
Created attachment 1007055 [details]
File: environ

Comment 5 Adam Williamson 2015-03-27 01:16:21 UTC
Created attachment 1007056 [details]
File: lsblk_output

Comment 6 Adam Williamson 2015-03-27 01:16:21 UTC
Created attachment 1007057 [details]
File: nmcli_dev_list

Comment 7 Adam Williamson 2015-03-27 01:16:22 UTC
Created attachment 1007058 [details]
File: os_info

Comment 8 Adam Williamson 2015-03-27 01:16:23 UTC
Created attachment 1007059 [details]
File: program.log

Comment 9 Adam Williamson 2015-03-27 01:16:24 UTC
Created attachment 1007060 [details]
File: storage.log

Comment 10 Adam Williamson 2015-03-27 01:16:25 UTC
Created attachment 1007061 [details]
File: syslog

Comment 11 Adam Williamson 2015-03-27 01:16:26 UTC
Created attachment 1007062 [details]
File: ifcfg.log

Comment 12 Adam Williamson 2015-03-27 01:16:27 UTC
Created attachment 1007063 [details]
File: packaging.log

Comment 13 Adam Williamson 2015-03-27 01:26:33 UTC
From the libblockdev source:

/* we expect at least MD_LEVEL, MD_DEVICES, MD_NAME, MD_UUID, MD_UPDATE_TIME, MD_DEV_UUID, MD_EVENTS */

and it fails if the output has fewer than 7 elements, but my output has only four, MD_METADATA, MD_LEVEL, MD_UUID, and MD_DEVICES. See program.log .

Nominating as a Beta blocker: https://fedoraproject.org/wiki/Fedora_22_Beta_Release_Criteria#Hardware_and_firmware_RAID , "The installer must be able to detect and install to hardware or firmware RAID storage devices."

Comment 14 Adam Williamson 2015-03-27 01:38:14 UTC
Same result with a RAID-1 set, and also after a reboot.

Comment 15 Fedora Update System 2015-03-30 15:36:38 UTC
anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-4952/libblockdev-0.8-1.fc22,anaconda-22.20.7-1.fc22

Comment 16 Adam Williamson 2015-03-30 16:49:34 UTC
Discussed at 2015-03-30 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-30/f22-blocker-review.2015-03-30-16.04.log.txt . Accepted as a blocker per criterion cited in #c13.

Comment 17 Fedora Update System 2015-03-31 21:42:49 UTC
Package anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.7-1.fc22 libblockdev-0.8-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4952/libblockdev-0.8-1.fc22,anaconda-22.20.7-1.fc22
then log in and leave karma (feedback).

Comment 18 Adam Williamson 2015-04-01 23:52:43 UTC
I've tested and confirmed the fix for this particular issue, we've now moved on to https://bugzilla.redhat.com/show_bug.cgi?id=1207317 . In fact vpodzime has it to the point where it doesn't crash any more, but does not actually find the RAID set.

Comment 19 Fedora Update System 2015-04-04 17:52:40 UTC
anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.